Subject: x2go desktop starts with incorrect resolution on Ubuntu 16.04

From: feng zhang <[email-masked]>
Date: Wed, 11 Oct 2017 18:07:49 -0400

Package: x2goserver
Version: 4.0.1.20-0

Server: Ubuntu 16.04 64-bit
Client: Linux Mint 18.2 Mate 64-bit

The server has Mate desktop and x2gomatebindings installed. The client machine has two monitors. When I configure the x2goclient to "Use whole display" of "Display #2," I would get a desktop of 800x600 upon logging in. If I suspend the session, and then resume it, I would get a desktop that correctly fits the entire monitor (1680x1050.)

When connecting to another server that runs Ubuntu 14.04, this problem doesn't occur.

The "Fullscreen" mode works correctly on both servers.

Thanks,

feng

-- 
-------------------
Feng Zhang, Ph.D.
LumArray, Inc.
15 Ward Street
Somerville, MA 02143
(617)996-5833